Subject: Re: [EDUC] Présentation de jLoDb
From: "[email-masked]" <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jun 2015 08:37:33 +0200 (CEST)
List-Id: <educ.april.org>

Bonjour,

Merci pour ce retour.

L'ensemble des éléments graphiques du projet est au format vectoriel SVG. Or, il
se trouve que ce format n'est reconnu par IE que depuis sa version 9. C'est
d'ailleurs assez curieux de voir que la gestion du SVG n'est vraiment pas une
priorité pour l'ensemble des navigateurs web. Firefox ne le reconnait que depuis
sa version 4 (ce qui n'est pas si vieux que cela) tandis que Chrome et tous les
navigateurs basés sur WebKit souffrent d'un bug d'affichage assez pénalisant.
Tout cela est très surprenant compte tenu de l'intérêt évident de ce format
graphique (je pourrais en parler des heures).

Maintenant, ce format SVG étant reconnu, le support IE est désormais
techniquement possible. Ce que je n'ai découvert que récemment. J'ai même été
surpris de voir que certaines activités étaient d'ailleurs déjà compatibles. Je
me donne quelques mois pour essayer d'intégrer le reste.

Johann C.

> Le 12 juin 2015 à 23:40, Pascal Fautrero <[email-masked]> a
> écrit :
> 
>  Bonsoir,
> 
>  On 12/06/2015 14:22, [email-masked]
> <mailto:[email-masked]> wrote:
> 
>      > > 
> >      Bonjour à tous.
> > 
> >      Informaticien de profession, je développe depuis quelques temps sur mon
> > temps libre un système ludo-éducatif libre (licence GPL-3 - techno web:
> > html, javascript et SVG). Pour faire simple et concis, ce système est
> > composé d'une base de données d'exercices (jLoDb) sur laquelle s'appuie de
> > nombreux programme tiers (TiBibI, Genius, etc.). J'ai rédigé une rapide
> > présentation accessible à l'adresse suivante :
> > http://poufpoufproduction.fr/depot/jlodb01.pdf
> >      Il existe également un forum de discussion (absolument désert pour
> > l'instant) où j'ai publié un certain nombre d'informations relatives au
> > projet (adresse du compte GitHub, documentation, etc.) C'est ici :
> > http://lol.poufpoufproduction.fr/viewforum.php?f=3
> > 
> >      Actuellement, le système propose 4430 exercices répartis sur 30
> > activités différentes.
> >      A l'heure où il est question de l'informatique à l'école, je tiens à
> > souligner qu'il existe, au sein du projet, 4 activités de programmation
> > différentes (un système de programmation de robot(s) à l'aide d'icônes, une
> > implémentation du langage LOGO, un Scratch-like et un émulateur du langage
> > Assembleur sur processeur 6502). Chaque exercice proposée évalue (de 0 à 5)
> > l'utilisateur en fonction du programme réalisé. De façon totalement
> > autonome, celui-ci va pouvoir aborder la plupart des notions de
> > programmation et d'algorithmique, des plus simples aux plus complexes.
> > 
> >      Pour ceux qui souhaiteraient tester le(s) logiciel(s), une instance du
> > logiciel "Genius" se trouve sur mon site perso :
> > http://jlodb.poufpoufproduction.fr/socialis.html (Attention: ceci n'est
> > qu'une version de développement destinée au test. Absolument pas une version
> > définitive)
> > 
> >  >  Je suis impressionné ! Le travail est important et le résultat est très
> >  > bien fini. Je vais creuser un peu plus sur le code source pour voir
> >  > quelle latitude il y a pour développer nos propres modules.
>  Merci beaucoup pour ce partage.
> 
> 
> 
>      > > 
> >      Le coeur du système, c'est à dire la base d'exercices, est à la même
> > adresse : http://jlodb.poufpoufproduction.fr/
> >      Au niveau comptabilité, seul Firefox est reconnu à 100%. Chrome et
> > Safari sont à peu près gérés. IE ne l'ai pas. Niveau matériel, le clavier
> > est facultatif et l'ensemble du projet est compatible avec un fonctionnement
> > sur tablette.
> > 
> >  >  Pour IE, vous envisagez un support à plus ou moins long terme ?
> 
> 
> 
>      > > 
> >      Il existe un fil de discussion sur Framagora où il est question du
> > logiciel : https://forum.framasoft.org/viewtopic.php?f=2&t=37918
> > <https://forum.framasoft.org/viewtopic.php?f=2&t=37918>
> > 
> >      Si je me permets d'écrire sur cette mailing-liste, c'est que je n'ai
> > eu, jusqu'à présent, que très peu de retours sur ce projet qui correspond,
> > je crois, assez bien à la philosophie de ce groupe. Donc, si le projet jLoDb
> > et ses différents modules vous intéressent, n'hésitez pas à me contacter.
> > 
> >      Cordialement,
> > 
> >      Johann C.
> > 
> >  > 
>  Cordialement,
> 
>  Pascal Fautrero
>  Académie de Versailles
> 
> 
> 
> 
> 
>      > > 
> >      --
> >      Pour vous désinscrire de cette liste :
> > https://listes.april.org/wws/sigrequest/educ
> > 
> >      Pour gérer votre abonnement à la liste educ et vos informations
> > personnelles :
> >      http://listes.april.org/wws/info/educ
> > 
> > 
> > 
> >  > 

Pour vous désinscrire de cette liste :
https://listes.april.org/wws/sigrequest/educ

Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ

--
Pour vous désinscrire de cette liste : https://listes.april.org/wws/sigrequest/educ

Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ